diff --git a/mobile/lib/screens/public_event/public_event_screen.dart b/mobile/lib/screens/public_event/public_event_screen.dart
index 9c8890e..2e2f3b3 100644
--- a/mobile/lib/screens/public_event/public_event_screen.dart
+++ b/mobile/lib/screens/public_event/public_event_screen.dart
@@ -395,384 +1067,363 @@ class _PublicEventScreenState extends State<PublicEventScreen> {
     final event = _eventModel;
     final participants = _participants;
     final teams = _teams;
-    final partRankMap = PublicRankingUtils.buildParticipantRankMap(participants);
+    final partRankMap = PublicRankingUtils.buildParticipantRankMap(
+      participants,
+    );
     final teamRankMap = PublicRankingUtils.buildTeamRankMap(teams);
-    final unassigned = PublicRankingUtils.unassignedParticipants(participants, teams);
+    final unassigned = PublicRankingUtils.unassignedParticipants(
+      participants,
+      teams,
+    );
     final now = DateTime.now();
-    final registrationClosed = (event?.registrationDeadline != null) && now.isAfter(event!.registrationDeadline!);
-    final canJoin = (event?.isReady == true || event?.isActive == true) && !registrationClosed;
+    final registrationClosed =
+        (event?.registrationDeadline != null) &&
+        now.isAfter(event!.registrationDeadline!);
+    final canJoin =
+        (event?.isReady == true || event?.isActive == true) &&
+        !registrationClosed;
     final canInputScore = (event?.isActive == true);
 
     return Scaffold(
-      appBar: AppBar(title: const Text('공개 이벤트')),
+      appBar: AppBar(
+        title: Text(
+          (_clubName != null && _clubName!.trim().isNotEmpty)
+              ? _clubName!.trim()
+              : '공개 이벤트',
+        ),
+      ),
       body: Padding(
-        padding: const EdgeInsets.all(16),
-        child: _loading
-            ? const Center(child: CircularProgressIndicator())
-            : _error != null
-                ? Center(
-                    child: Column(
-                      mainAxisSize: MainAxisSize.min,
-                      children: [
-                        Text(_error!, style: const TextStyle(color: Colors.red)),
-                        const SizedBox(height: 12),
-                        ElevatedButton(
-                          key: const Key('go_entry_button'),
-                          onPressed: () {
-                            Navigator.of(context).pushReplacement(
-                              MaterialPageRoute(builder: (_) => PublicEventEntryScreen(publicHash: widget.publicHash)),
-                            );
-                          },
-                          child: const Text('입장 화면으로 돌아가기'),
-                        ),
-                      ],
+        padding: const EdgeInsets.symmetric(horizontal: 12, vertical: 16),
+        child: Builder(
+          builder: (context) {
+            if (_loading) {
+              return const Center(child: CircularProgressIndicator());
+            }
+            if (_error != null) {
+              return Center(
+                child: Column(
+                  mainAxisSize: MainAxisSize.min,
+                  children: [
+                    Text(_error!, style: const TextStyle(color: Colors.red)),
+                    const SizedBox(height: 12),
+                    ElevatedButton(
+                      key: const Key('go_entry_button'),
+                      onPressed: () {
+                        Navigator.of(context).pushReplacement(
+                          MaterialPageRoute(
+                            builder: (_) => PublicEventEntryScreen(
+                              publicHash: widget.publicHash,
+                            ),
+                          ),
+                        );
+                      },
+                      child: const Text('입장 화면으로 돌아가기'),
                     ),
-                  )
-                : ListView(
-                    children: [
-                      Text('hash: ' + widget.publicHash, key: const Key('public_hash_label')),
-                      const SizedBox(height: 8),
-                      if (event != null) ...[
-                        Row(
-                          mainAxisAlignment: MainAxisAlignment.spaceBetween,
-                          children: [
-                            Expanded(child: Text(event.title, key: const Key('event_title'))),
-                            if (canJoin)
-                              ElevatedButton(
-                                key: const Key('join_button'),
-                                onPressed: () async {
-                                  final ok = await showDialog<bool>(
-                                    context: context,
-                                    builder: (_) => JoinDialog(publicHash: widget.publicHash, service: _service),
-                                  );
-                                  if (ok == true) {
-                                    await _load();
-                                  }
-                                },
-                                child: const Text('참가 신청/수정'),
-                              ),
-                          ],
-                        ),
-                        const SizedBox(height: 8),
-                        Wrap(
-                          spacing: 8,
-                          runSpacing: 8,
-                          children: [
-                            Chip(
-                              key: const Key('status_chip'),
-                              label: Text(_statusLabel(event.statusEnum)),
-                              backgroundColor: _statusColor(event.statusEnum),
-                            ),
-                            if (event.eventType != null && event.eventType!.isNotEmpty)
-                              Chip(key: const Key('type_chip'), label: Text(_typeLabel(event.typeEnum))),
-                            if (event.startDate != null || event.endDate != null)
-                              Chip(
-                                key: const Key('period_chip'),
-                                label: Text(
-                                  ((event.startDate != null) ? event.startDate!.toLocal().toString().split('.').first : '') +
-                                      (event.endDate != null ? ' ~ ' + event.endDate!.toLocal().toString().split('.').first : ''),
-                                ),
-                              ),
-                            Chip(key: const Key('game_chip'), label: Text('게임 ' + event.gameCount.toString())),
-                            if (event.registrationDeadline != null)
-                              Chip(key: const Key('deadline_chip'), label: Text('신청마감 ' + event.registrationDeadline!.toLocal().toString().split('.').first)),
-                            if (event.participantFee != null)
-                              Chip(key: const Key('fee_chip'), label: Text('참가비 ₩' + event.participantFee!.toString())),
-                            if (event.location != null && event.location!.isNotEmpty)
-                              Chip(key: const Key('location_chip'), label: Text(event.location!)),
-                          ],
-                        ),
-                        const SizedBox(height: 8),
-                      ],
-                      if (teams.isEmpty) ...[
-                        const SizedBox(height: 8),
-                        const Text('참가자', style: TextStyle(fontWeight: FontWeight.bold), key: Key('section_participants')),
-                        Text('총 ' + participants.length.toString() + '명', key: const Key('participants_count')),
-                        const SizedBox(height: 8),
-                        Card(
-                          child: participants.isEmpty
-                              ? const ListTile(
-                                  key: Key('empty_participants'),
-                                  title: Text('참가자가 없습니다'),
-                                )
-                              : Column(
-                                  children: [
-                                    for (final p in participants)
-                                      ListTile(
-                                      key: Key('participant_tile_' + p.participantId),
-                                      title: Text(p.name),
-                                      subtitle: Column(
-                                        crossAxisAlignment: CrossAxisAlignment.start,
-                                        children: [
-                                          Wrap(
-                                            spacing: 6,
-                                            runSpacing: 6,
-                                            children: [
-                                              Chip(
-                                                key: Key('participant_status_' + p.participantId),
-                                                label: Text(_participantStatusLabel(p.statusEnum)),
-                                              ),
-                                              if (p.paymentStatus != null && p.paymentStatus!.isNotEmpty)
-                                                Chip(
-                                                  key: Key('participant_payment_' + p.participantId),
-                                                  label: Text(_paymentLabel(p.paymentEnum)),
-                                                ),
-                                              if (p.memberType != null && p.memberType!.isNotEmpty)
-                                                Chip(
-                                                  key: Key('participant_type_' + p.participantId),
-                                                  label: Text(p.memberType!),
-                                                ),
-                                              Text('avg:' + (p.average?.toString() ?? '-') + ' · hc:' + p.handicap.toString(), key: Key('participant_info_' + p.participantId)),
-                                            ],
-                                          ),
-                                          if (canInputScore && event != null)
-                                            Padding(
-                                              padding: const EdgeInsets.only(top: 8),
-                                              child: Row(
-                                                children: [
-                                                  for (int g = 1; g <= event.gameCount; g++)
-                                                    Padding(
-                                                      padding: const EdgeInsets.only(right: 6),
-                                                      child: SizedBox(
-                                                        width: 60,
-                                                        child: Column(
-                                                          children: [
-                                                            Row(
-                                                              mainAxisAlignment: MainAxisAlignment.spaceBetween,
-                                                              children: [
-                                                                Container(
-                                                                  key: Key('color_' + p.participantId + '_' + g.toString()),
-                                                                  width: 8,
-                                                                  height: 8,
-                                                                  decoration: BoxDecoration(
-                                                                    color: _scoreColor(p, g),
-                                                                    shape: BoxShape.circle,
-                                                                  ),
-                                                                ),
-                                                                _stateIcon(_keyFor(p.participantId, g)),
-                                                              ],
-                                                            ),
-                                                            TextFormField(
-                                                              key: Key('cell_' + p.participantId + '_' + g.toString()),
-                                                              initialValue: (g - 1 < p.rawScores.length && p.rawScores[g - 1] != null)
-                                                                  ? p.rawScores[g - 1].toString()
-                                                                  : '',
-                                                              keyboardType: TextInputType.number,
-                                                              decoration: const InputDecoration(
-                                                                isDense: true,
-                                                                hintText: '---',
-                                                                counterText: '',
-                                                                contentPadding: EdgeInsets.symmetric(vertical: 6, horizontal: 8),
-                                                              ),
-                                                              maxLength: 3,
-                                                              onChanged: (v) => _onScoreChanged(p, g, v),
-                                                            ),
-                                                          ],
-                                                        ),
-                                                      ),
-                                                    ),
-                                                ],
-                                              ),
-                                            ),
-                                        ],
-                                      ),
-                                      trailing: Column(
-                                        mainAxisSize: MainAxisSize.min,
-                                        crossAxisAlignment: CrossAxisAlignment.end,
-                                        children: [
-                                          Container(
-                                            key: Key('participant_rank_' + p.participantId),
-                                            padding: const EdgeInsets.symmetric(horizontal: 8, vertical: 2),
-                                            decoration: BoxDecoration(
-                                              color: Colors.blue.shade50,
-                                              borderRadius: BorderRadius.circular(10),
-                                            ),
-                                            child: Text('R ' + (partRankMap[p.participantId]?['rank']?.toString() ?? '-'), style: const TextStyle(fontSize: 12)),
-                                          ),
-                                          const SizedBox(height: 6),
-                                          Text(
-                                            '총 ' + PublicRankingUtils.participantTotalWithHc(p).toString(),
-                                            key: Key('participant_total_' + p.participantId),
-                                          ),
-                                        ],
-                                      ),
-                                      onTap: () {
-                                        if (!canInputScore) {
-                                          ScaffoldMessenger.of(context).showSnackBar(const SnackBar(content: Text('완료 상태에서는 점수 입력이 불가합니다')));
-                                          return;
-                                        }
-                                        _openScoreDialog(p.participantId, initial: p.rawScores.isNotEmpty ? p.rawScores[0] : null);
-                                      },
-                                      ),
-                                  ],
-                                ),
-                        ),
-                      ],
-                      const SizedBox(height: 24),
-                      const Text('팀', style: TextStyle(fontWeight: FontWeight.bold), key: Key('section_teams')),
-                      Text('총 ' + teams.length.toString() + '팀', key: const Key('teams_count')),
-                      const SizedBox(height: 8),
-                      Card(
-                        child: teams.isEmpty
-                            ? const ListTile(
-                              key: Key('empty_teams'),
-                              title: Text('팀이 없습니다'),
-                            )
-                            : Column(
-                              children: [
-                                for (final t in teams)
-                                  Padding(
-                                    padding: const EdgeInsets.symmetric(vertical: 6, horizontal: 8),
-                                    child: Column(
-                                      crossAxisAlignment: CrossAxisAlignment.start,
-                                      children: [
-                                        Row(
-                                          children: [
-                                            Text('팀 ' + t.teamNumber.toString()),
-                                            const SizedBox(width: 6),
-                                            Container(
-                                              key: Key('team_rank_' + t.teamNumber.toString()),
-                                              padding: const EdgeInsets.symmetric(horizontal: 6, vertical: 2),
-                                              decoration: BoxDecoration(
-                                                color: Colors.blue.shade50,
-                                                borderRadius: BorderRadius.circular(10),
-                                              ),
-                                              child: Text('R ' + (teamRankMap[t.teamNumber]?['rank']?.toString() ?? '-'), style: const TextStyle(fontSize: 12)),
-                                            ),
-                                            const Spacer(),
-                                            SizedBox(
-                                              width: 100,
-                                              child: TextFormField(
-                                                key: Key('team_hc_input_' + t.teamNumber.toString()),
-                                                initialValue: t.handicap.toString(),
-                                                keyboardType: TextInputType.number,
-                                                decoration: const InputDecoration(
-                                                  isDense: true,
-                                                  labelText: '팀 HC',
-                                                  counterText: '',
-                                                ),
-                                                maxLength: 3,
-                                                onChanged: (v) async {
-                                                  final val = int.tryParse(v);
-                                                  if (val == null || val < 0 || val > 300) return;
-                                                  try {
-                                                    await _service.updateTeamHandicap(widget.publicHash, teamNumber: t.teamNumber, handicap: val);
-                                                    // 로컬 반영
-                                                    final idx = _teams.indexWhere((tt) => tt.teamNumber == t.teamNumber);
-                                                    if (idx >= 0) {
-                                                      _teams[idx] = PublicTeam(teamId: _teams[idx].teamId, teamNumber: _teams[idx].teamNumber, handicap: val, members: _teams[idx].members);
-                                                      setState(() {});
-                                                    }
-                                                  } catch (_) {}
-                                                },
-                                              ),
-                                            ),
-                                          ],
-                                        ),
-                                        const SizedBox(height: 6),
-                                        Builder(builder: (context) {
-                                          int membersTotal = 0;
-                                          for (final m in t.members) {
-                                            int mt = 0;
-                                            for (int i = 0; i < m.rawScores.length; i++) {
-                                              final raw = m.rawScores[i];
-                                              final hc = (i < m.handicaps.length) ? m.handicaps[i] : 0;
-                                              if (raw == null) continue;
-                                              mt += PublicRankingUtils.capScore(raw + hc);
-                                            }
-                                            membersTotal += mt;
-                                          }
-                                          final total = membersTotal + t.handicap;
-                                          final avg = t.members.isNotEmpty ? (total / t.members.length).toStringAsFixed(1) : '-';
-                                          return Text(
-                                            '총 ' + total.toString() + ' · 평균 ' + avg + ' (팀 HC ' + t.handicap.toString() + ')',
-                                            key: Key('team_summary_' + t.teamNumber.toString()),
-                                          );
-                                        }),
-                                        const SizedBox(height: 6),
-                                        // 팀 구성원 리스트
-                                        Column(
-                                          crossAxisAlignment: CrossAxisAlignment.start,
-                                          children: [
-                                            for (final m in t.members)
-                                              Padding(
-                                                padding: const EdgeInsets.symmetric(vertical: 2),
-                                                child: Text('• ' + m.name),
-                                              ),
-                                          ],
-                                        ),
-                                      ],
-                                    ),
-                                  ),
-                              ],
-                            ),
-                      ),
-                      const SizedBox(height: 24),
-                      const Text('미배정', style: TextStyle(fontWeight: FontWeight.bold), key: Key('section_unassigned')),
-                      Text('총 ' + unassigned.length.toString() + '명', key: const Key('unassigned_count')),
-                      const SizedBox(height: 8),
-                      Card(
-                        child: unassigned.isEmpty
-                            ? const ListTile(
-                                key: Key('empty_unassigned'),
-                                title: Text('미배정 참가자가 없습니다'),
-                              )
-                            : Column(
-                                children: [
-                                  for (final p in unassigned)
-                                    ListTile(
-                                      key: Key('unassigned_' + p.participantId),
-                                      title: Text(p.name),
-                                    ),
-                                ],
-                              ),
-                      ),
-                      if (event?.isFinished == true) ...[
-                        const SizedBox(height: 24),
-                        const Text('최종 결과', style: TextStyle(fontWeight: FontWeight.bold), key: Key('section_final_results')),
-                        const SizedBox(height: 8),
-                        Row(
-                          children: [
-                            ChoiceChip(
-                              key: const Key('sort_total_chip'),
-                              label: const Row(children: [Icon(Icons.summarize, size: 16), SizedBox(width: 4), Text('총점')]),
-                              selected: _resultSort == _ResultSort.total,
-                              onSelected: (_) => setState(() => _resultSort = _ResultSort.total),
-                            ),
-                            const SizedBox(width: 8),
-                            ChoiceChip(
-                              key: const Key('sort_avg_chip'),
-                              label: const Row(children: [Icon(Icons.show_chart, size: 16), SizedBox(width: 4), Text('평균')]),
-                              selected: _resultSort == _ResultSort.avg,
-                              onSelected: (_) => setState(() => _resultSort = _ResultSort.avg),
-                            ),
-                          ],
-                        ),
-                        const SizedBox(height: 8),
-                        Card(
-                          child: Column(
-                            children: [
-                              for (final item in (_resultSort == _ResultSort.total
-                                  ? PublicRankingUtils.individualRanking(participants)
-                                  : PublicRankingUtils.individualRankingByAvg(participants)))
-                                Builder(builder: (_) {
-                                  final p = item['p'] as PublicParticipant;
-                                  final rank = item['rank'] as int;
-                                  final total = item['total'] as int;
-                                  final avg = PublicRankingUtils.participantAverageWithHc(p).toStringAsFixed(1);
-                                  return ListTile(
-                                    key: Key('result_row_' + p.participantId),
-                                    leading: Text(rank.toString(), key: Key('result_rank_' + p.participantId)),
-                                    title: Text(p.name),
-                                    trailing: Text('총 ' + total.toString() + ' · 평균 ' + avg),
-                                  );
-                                }),
-                            ],
+                  ],
+                ),
+              );
+            }
+            return SingleChildScrollView(
+              child: Column(
+                crossAxisAlignment: CrossAxisAlignment.start,
+                children: [
+                  if (event != null) ...[
+                    Row(
+                      mainAxisAlignment: MainAxisAlignment.spaceBetween,
+                      children: [
+                        Expanded(
+                          child: Text(
+                            event.title,
+                            key: const Key('event_title'),
                           ),
                         ),
+                        if (canJoin)
+                          ElevatedButton(
+                            key: const Key('join_button'),
+                            onPressed: () async {
+                              final ok = await showDialog<bool>(
+                                context: context,
+                                builder: (_) => JoinDialog(
+                                  publicHash: widget.publicHash,
+                                  service: _service,
+                                ),
+                              );
+                              if (ok == true) {
+                                await _load();
+                              }
+                            },
+                            child: const Text('참가 신청/수정'),
+                          ),
                       ],
-                    ],
-                  ),
+                    ),
+                    const SizedBox(height: 8),
+                    Wrap(
+                      spacing: 8,
+                      runSpacing: 8,
+                      children: [
+                        if (_clubName != null && _clubName!.trim().isNotEmpty)
+                          if (!(_clubName!.trim().toLowerCase() ==
+                                  (event.location ?? '').trim().toLowerCase() ||
+                              _clubName!.trim().toLowerCase() ==
+                                  event.title.trim().toLowerCase()))
+                            Chip(
+                              key: const Key('club_chip'),
+                              label: Text(_clubName!.trim()),
+                            ),
+                        // 이벤트 상태 배지 (공용 스타일)
+                        BadgeStyles.eventStatus(
+                          getEventStatusLabel(event.status ?? ''),
+                        ),
+                        if (event.eventType != null &&
+                            event.eventType!.isNotEmpty)
+                          Chip(
+                            key: const Key('type_chip'),
+                            label: Text(getEventTypeLabel(event.eventType)),
+                          ),
+                        if (event.startDate != null || event.endDate != null)
+                          Chip(
+                            key: const Key('period_chip'),
+                            label: Text(
+                              ((event.startDate != null)
+                                      ? _fmtLocal(event.startDate!)
+                                      : '') +
+                                  (event.endDate != null
+                                      ? ' ~ ${_fmtLocal(event.endDate!)}'
+                                      : ''),
+                            ),
+                          ),
+                        Chip(
+                          key: const Key('game_chip'),
+                          label: Text('게임 ${event.gameCount}'),
+                        ),
+                        Chip(
+                          key: const Key('participants_chip'),
+                          label: Text(
+                            '참가자 ${_participants.length}${event.maxParticipants != null ? '/${event.maxParticipants!}' : ''}',
+                          ),
+                        ),
+                        if (event.registrationDeadline != null)
+                          Chip(
+                            key: const Key('deadline_chip'),
+                            label: Text(
+                              '신청마감 ${event.registrationDeadline!.toLocal().toString().split('.').first}',
+                            ),
+                          ),
+                        if (event.participantFee != null)
+                          Chip(
+                            key: const Key('fee_chip'),
+                            label: Text('참가비 ₩${event.participantFee!}'),
+                          ),
+                        if (event.location != null &&
+                            event.location!.trim().isNotEmpty)
+                          if (!(event.location!.trim().toLowerCase() ==
+                                  (_clubName ?? '').trim().toLowerCase() ||
+                              event.location!.trim().toLowerCase() ==
+                                  event.title.trim().toLowerCase()))
+                            Chip(
+                              key: const Key('location_chip'),
+                              label: Text(event.location!.trim()),
+                            ),
+                      ],
+                    ),
+                    const SizedBox(height: 8),
+                  ],
+                  if (teams.isEmpty) ...[
+                    const SizedBox(height: 24),
+                  ] else ...[
+                    DefaultTabController(
+                      length: 2,
+                      initialIndex: _savedTabIndex < 0
+                          ? 0
+                          : (_savedTabIndex > 1 ? 1 : _savedTabIndex),
+                      child: Builder(
+                        builder: (context) {
+                          final controller = DefaultTabController.of(context);
+                          if (!_tabListenerAttached) {
+                            _tabListenerAttached = true;
+                            controller.addListener(() {
+                              if (!controller.indexIsChanging) {
+                                _saveTabIndex(controller.index);
+                              }
+                            });
+                          }
+                          return Column(
+                            crossAxisAlignment: CrossAxisAlignment.start,
+                            children: [
+                              const TabBar(
+                                tabs: [
+                                  Tab(text: '팀별'),
+                                  Tab(text: '개인별'),
+                                ],
+                              ),
+                              const SizedBox(height: 12),
+                              AnimatedBuilder(
+                                animation: controller,
+                                builder: (ctx, _) {
+                                  final idx = controller.index;
+                                  if (idx == 0) {
+                                    return Column(
+                                      crossAxisAlignment:
+                                          CrossAxisAlignment.start,
+                                      children: [
+                                        _buildTeamSection(
+                                          event,
+                                          teams,
+                                          teamRankMap,
+                                          canInputScore,
+                                        ),
+                                        if (unassigned.isNotEmpty) ...[
+                                          const SizedBox(height: 24),
+                                          const Text(
+                                            '미배정',
+                                            style: TextStyle(
+                                              fontWeight: FontWeight.bold,
+                                            ),
+                                            key: Key('section_unassigned'),
+                                          ),
+                                          Text(
+                                            '총 ${unassigned.length}명',
+                                            key: const Key('unassigned_count'),
+                                          ),
+                                          const SizedBox(height: 8),
+                                          Card(
+                                            child: Column(
+                                              children: [
+                                                for (
+                                                  int i = 0;
+                                                  i < unassigned.length;
+                                                  i++
+                                                ) ...[
+                                                  ListTile(
+                                                    key: Key(
+                                                      'unassigned_${unassigned[i].participantId}',
+                                                    ),
+                                                    title: Text(
+                                                      unassigned[i].name,
+                                                    ),
+                                                  ),
+                                                  if (i < unassigned.length - 1)
+                                                    const Divider(
+                                                      height: 12,
+                                                      thickness: 0.6,
+                                                    ),
+                                                ],
+                                              ],
+                                            ),
+                                          ),
+                                        ],
+                                      ],
+                                    );
+                                  } else {
+                                    return Column(
+                                      crossAxisAlignment:
+                                          CrossAxisAlignment.start,
+                                      children: [
+                                        // 개인별 보기 전환 아이콘
+                                        Row(
+                                          mainAxisAlignment:
+                                              MainAxisAlignment.end,
+                                          children: [
+                                            IconButton(
+                                              tooltip: '카드형',
+                                              onPressed: () {
+                                                if (_personalTableView ==
+                                                    true) {
+                                                  setState(
+                                                    () => _personalTableView =
+                                                        false,
+                                                  );
+                                                  _savePersonalViewPref(false);
+                                                }
+                                              },
+                                              icon: Icon(
+                                                Icons.view_module,
+                                                color:
+                                                    (_personalTableView == true)
+                                                    ? Colors.blueGrey
+                                                    : Colors.indigo,
+                                              ),
+                                            ),
+                                            IconButton(
+                                              tooltip: '표형',
+                                              onPressed: () {
+                                                if (_personalTableView !=
+                                                    true) {
+                                                  setState(
+                                                    () => _personalTableView =
+                                                        true,
+                                                  );
+                                                  _savePersonalViewPref(true);
+                                                }
+                                              },
+                                              icon: Icon(
+                                                Icons.table_chart,
+                                                color:
+                                                    (_personalTableView == true)
+                                                    ? Colors.indigo
+                                                    : Colors.blueGrey,
+                                              ),
+                                            ),
+                                          ],
+                                        ),
+                                        const SizedBox(height: 8),
+                                        LayoutBuilder(
+                                          builder: (ctx, _) {
+                                            final size = MediaQuery.of(ctx).size;
+                                            final padding = MediaQuery.of(ctx).padding;
+                                            final available = size.height - padding.top - padding.bottom - 180;
+                                            final boxHeight = available < 360 ? 360.0 : available;
+                                            return SizedBox(
+                                              height: boxHeight,
+                                              child: _personalTableView == true
+                                                  ? PersonalTableView(
+                                                      event: event!,
+                                                      participants: participants,
+                                                      canInputScore: canInputScore,
+                                                      teams: teams,
+                                                      saveInlineScore: (p, g, v) =>
+                                                          _saveInlineScoreDebounced(p, g, v),
+                                                      saveInlineHandicap: (p, g, v) =>
+                                                          _saveInlineHandicapDebounced(p, g, v),
+                                                      partRankMap: partRankMap,
+                                                      rankForParticipant: (pid, map) =>
+                                                          _rankForParticipant(pid, map),
+                                                    )
+                                                  : PersonalCardView(
+                                                      event: event,
+                                                      participants: participants,
+                                                      partRankMap: partRankMap,
+                                                      canInputScore: canInputScore,
+                                                      teams: teams,
+                                                      keyFor: _keyFor,
+                                                      stateIcon: _stateIcon,
+                                                      saveInlineScore: (p, g, v) =>
+                                                          _saveInlineScoreDebounced(p, g, v),
+                                                      saveInlineHandicap: (p, g, v) =>
+                                                          _saveInlineHandicapDebounced(p, g, v),
+                                                      calcAvg: _calcAvg,
+                                                      rankForParticipant: (pid, map) =>
+                                                          _rankForParticipant(pid, map),
+                                                    ),
+                                            );
+                                          },
+                                        ),
+                                      ],
+                                    );
+                                  }
+                                },
+                              ),
+                            ],
+                          );
+                        },
+                      ),
+                    ),
+                  ],
+                ],
+              ),
+            );
+          },
+        ),
       ),
     );
   }
